summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenedikt Boehm <hollow@gentoo.org>2008-02-22 15:33:32 +0000
committerBenedikt Boehm <hollow@gentoo.org>2008-02-22 15:33:32 +0000
commit71b3568da35d45ab2a368e9e763093de9894425d (patch)
treea8cc067e13e2c8649d692efe92f1114de26f7f39 /eclass/webapp.eclass
parentalpha/ia64/sparc/x86 stable (diff)
downloadhistorical-71b3568da35d45ab2a368e9e763093de9894425d.tar.gz
historical-71b3568da35d45ab2a368e9e763093de9894425d.tar.bz2
historical-71b3568da35d45ab2a368e9e763093de9894425d.zip
add need_httpd_* functions wrt #208584
Diffstat (limited to 'eclass/webapp.eclass')
-rw-r--r--eclass/webapp.eclass29
1 files changed, 28 insertions, 1 deletions
diff --git a/eclass/webapp.eclass b/eclass/webapp.eclass
index c31d01832a26..05d42ebcf5f8 100644
--- a/eclass/webapp.eclass
+++ b/eclass/webapp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/webapp.eclass,v 1.57 2008/02/22 14:59:07 hollow Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/webapp.eclass,v 1.58 2008/02/22 15:33:32 hollow Exp $
#
# @ECLASS: webapp.eclass
# @MAINTAINER:
@@ -115,6 +115,33 @@ webapp_getinstalltype() {
# PUBLIC FUNCTIONS
# ==============================================================================
+# @FUNCTION: need_httpd
+# @DESCRIPTION:
+# Call this function AFTER your ebuild's DEPEND line if any of the available
+# webservers are able to run this application.
+need_httpd() {
+ DEPEND="${DEPEND}
+ || ( virtual/httpd-basic virtual/httpd-cgi virtual/httpd-fastcgi )"
+}
+
+# @FUNCTION: need_httpd_cgi
+# @DESCRIPTION:
+# Call this function AFTER your ebuild's DEPEND line if any of the available
+# CGI-capable webservers are able to run this application.
+need_httpd_cgi() {
+ DEPEND="${DEPEND}
+ || ( virtual/httpd-cgi virtual/httpd-fastcgi )"
+}
+
+# @FUNCTION: need_httpd_fastcgi
+# @DESCRIPTION:
+# Call this function AFTER your ebuild's DEPEND line if any of the available
+# FastCGI-capabale webservers are able to run this application.
+need_httpd_fastcgi() {
+ DEPEND="${DEPEND}
+ virtual/httpd-fastcgi"
+}
+
# @FUNCTION: webapp_configfile
# @USAGE: <file> [more files ...]
# @DESCRIPTION: